%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Crypt-Primes
Version:       0.50
Release:       6mamba
Summary:       Crypt::Primes - Provable Prime Number Generator suitable for Cryptographic Applications
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://www.cpan.org/authors/id/V/VI/VIPUL/Crypt-Primes-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-Crypt-Random
BuildRequires: perl-Math-Pari
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel >= %perl_major_ver
Requires:      perl >= %perl_major_ver

%description
Provable Prime Number Generator suitable for Cryptographic Applications.

%prep
%setup -q -n Crypt-Primes-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor

%make
make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 0.50-6mamba
- rebuilt with perl 5.36.0

* Sat Aug 20 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.50-5mamba
- rebuilt for x86_64

* Thu Aug 29 2013 Automatic Build System <autodist@mambasoft.it> 0.50-4mamba
- automatic rebuild by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.50-3mamba
- automatic rebuild by autodist

* Fri Sep 14 2007 Aleph0 <aleph0@openmamba.org> 0.50-2mamba
- spec file fixed and updated

* Thu May 06 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.50-1qilnx
- first build
